# Build Docker Forgejo Action

This Action builds and pushes a Docker image using Kaniko. It supports custom Dockerfiles, build contexts, and private registry authentication.

## Inputs

| Input Name  | Description                                   | Required | Type   | Default Value   |
|-------------|-----------------------------------------------|----------|--------|-----------------|
| `dockerfile`| Path to the Dockerfile to be built.            | No       | string | `./Dockerfile`  |
| `context`   | Build context directory.                      | No       | string | `./`            |
| `tag`       | Tag to apply to the built image.              | Yes      | string |                 |
| `registry`  | Registry to push the image to.                | Yes      | string |                 |
| `username`  | Username for registry authentication.         | Yes      | string |                 |
| `password`  | Password for registry authentication.         | Yes      | string |                 |

## Usage

This action can be invoked using `workflow_call`. Below is an example of how to use it:

```yaml
jobs:
  build:
    uses: [path/to/this-action@main](https://forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/DevFW-CICD/build/.github/workflows/build-docker.yml@main)
    with:
      dockerfile: './Dockerfile.custom'
      context: './app'
      tag: 'my-registry.com/my-app:latest'
      registry: 'my-registry.com'
      username: ${{ secrets.REGISTRY_USERNAME }}
      password: ${{ secrets.REGISTRY_PASSWORD }}
```
